Bug 26597 - ld.so: dlclose() can remove required local scope elements of NODELETE linkmaps
: ld.so: dlclose() can remove required local scope elements of NODELETE linkmaps
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/glibc-core)
: unstable
: all Linux
: P3 normal
Assigned To:
:
: http://sourceware.org/bugzilla/show_b...
:
:
: 23155
  Show dependency tree
 
Reported: 2011-11-21 11:19 by
Modified: 2012-10-26 15:44 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2011-11-21 11:19:27
..прошу прощения если это дубль..

Запустил в настройках сервис nepomuk
в .xsession-errors стали сыпаться ошибки
вида:
[/usr/lib/kde4/bin/nepomukservicestub] /usr/lib/kde4/bin/nepomukindexer: symbol
lookup error: /lib/libldap-2.4.so.2: undefined symbol: ldap_int_tls_destroy 

[root@pvbook ~]# rpm -qa | grep nepomuk
libnepomuksync4-4.7.3-alt2

[root@pvbook ~]# rpm -qa | grep libldap
libldap2.4-2.4.26-alt1.1
libldap-devel-2.4.26-alt1.1

Что можно сделать?
------- Comment #1 From 2011-11-21 13:28:27 -------
Возможно, поможет удаление пакетов nss_ldap и pam_ldap
Если все работает -- забейте.
------- Comment #2 From 2012-06-09 14:54:02 -------
Проблемма инициируется модулем /usr/lib/strigi/strigiea_mail.so
Дальше пока не нашел, кто.
------- Comment #3 From 2012-06-09 18:39:23 -------
гуглится по "strigi lookup error: undefined symbol: ldap_int_tls_destroy" , но
ничего путного не нашел
------- Comment #4 From 2012-06-10 01:16:13 -------
См. тж. https://bugzilla.redhat.com/show_bug.cgi?id=468889
У них вроде бы проблема рассосалась сама собой.
------- Comment #5 From 2012-06-13 15:47:21 -------
(В ответ на комментарий №4)
> См. тж. https://bugzilla.redhat.com/show_bug.cgi?id=468889
У нас раньше это тоже было.
Сейчас похоже, но несовсем оно и более свежее.
------- Comment #6 From 2012-06-21 12:10:17 -------
При этом с тем же Qt4/KDE4 на p6 не воспроизводится.
------- Comment #7 From 2012-09-20 00:29:15 -------
Я на p6 собрал себе qt-4.8.3 и у меня начало воспроизводиться.
На https://bugs.mageia.org/show_bug.cgi?id=2526 говорят, что баг в glibc.
------- Comment #8 From 2012-09-20 01:14:38 -------
(In reply to comment #7)
> Я на p6 собрал себе qt-4.8.3 и у меня начало воспроизводиться.
> На https://bugs.mageia.org/show_bug.cgi?id=2526 говорят, что баг в glibc.

Да, это ld.so
------- Comment #9 From 2012-10-05 10:21:54 -------
C yjdjq
------- Comment #10 From 2012-10-05 10:23:41 -------
С новой сборкой strigi у меня и на p6 стало воспроизводиться :-(
------- Comment #11 From 2012-10-05 14:28:42 -------
(In reply to comment #8)
> (In reply to comment #7)
> > Я на p6 собрал себе qt-4.8.3 и у меня начало воспроизводиться.
> > На https://bugs.mageia.org/show_bug.cgi?id=2526 говорят, что баг в glibc.
> 
> Да, это ld.so

К сожалению, патч не заапстримился из-за того,
что не прошел regression testing:
http://sourceware.org/ml/libc-alpha/2012-04/msg00512.html
и автору патча сейчас уже нет возможности доработать его:
http://sourceware.org/ml/libc-alpha/2012-09/msg00531.html
------- Comment #12 From 2012-10-05 14:48:16 -------
А в SuSE
https://build.opensuse.org/package/files?package=glibc&project=openSUSE%3AFactory
есть glibc-elf-localscope.diff
------- Comment #13 From 2012-10-05 14:54:11 -------
(In reply to comment #12)
> А в SuSE
> https://build.opensuse.org/package/files?package=glibc&project=openSUSE%3AFactory
> есть glibc-elf-localscope.diff

Это тот же самый патч того же автора, что и в
http://sourceware.org/bugzilla/show_bug.cgi?id=12561.
------- Comment #14 From 2012-10-16 17:08:38 -------
Этот тот же самый патч есть в openSUSE-12.2
http://download.opensuse.org/source/distribution/12.2/repo/oss/suse/src/
------- Comment #15 From 2012-10-16 17:17:10 -------
(In reply to comment #14)
> Этот тот же самый патч есть в openSUSE-12.2
> http://download.opensuse.org/source/distribution/12.2/repo/oss/suse/src/

Ну и что?  Ты же не предлагаешь приложить патч, после которого ld.so перестает
проходить тесты?
------- Comment #16 From 2012-10-16 17:27:45 -------
Нет. Я предлагаю приложить патч, после которого исчезнет ошибка.
------- Comment #17 From 2012-10-23 02:45:57 -------
А сейчас в Сизифе воспроизводится или нет?
------- Comment #18 From 2012-10-23 03:16:35 -------
Согласно https://bugzilla.novell.com/show_bug.cgi?id=657627#c54
тестирую баг командой "hsh --init && hsh-install libproxy-tools libproxy-kde4
libproxy-gnome3 && hsh-run -- env KDE_FULL_SESSION=true proxy --help".

На p6 такой запуск proxy приводит к
proxy: symbol lookup error: /usr/lib64/libkdecore.so.5: undefined symbol:
_ZNK7KConfig13componentDataEv

На Сизифе proxy выводит
direct://

Куда девался баг?  Он был еще вчера!  :)
------- Comment #19 From 2012-10-24 12:19:02 -------
Возможно, что-то изменилось в новом KDE.
На сизифном KDE-4.8.5 проверял -- уже не воспроизводилось.
------- Comment #20 From 2012-10-24 12:29:28 -------
As I noted in http://sourceware.org/bugzilla/show_bug.cgi?id=12561#c5,
it was actually fixed by commit
http://sourceware.org/git/?p=glibc.git;a=commitdiff;h=glibc-2.14-208-g39dd69d

Applying it to glibc-2.11.3-alt8 would fix the bug in p6 as well.
------- Comment #21 From 2012-10-24 13:16:58 -------
Спасибо!
------- Comment #22 From 2012-10-25 00:08:39 -------
(In reply to comment #20)
> glibc-2.11.3-alt8 would fix the bug in p6 as well.
В p6 на данный момент alt7
------- Comment #23 From 2012-10-26 11:14:56 -------
А когда в p6 ?
------- Comment #24 From 2012-10-26 11:20:57 -------
(В ответ на комментарий №23)
> А когда в p6 ?
А надо?
------- Comment #25 From 2012-10-26 12:52:10 -------
(In reply to comment #24)
> (В ответ на комментарий №23)
> > А когда в p6 ?
> А надо?

Да уже проще было собрать, чем выяснять, надо или нет:
http://git.altlinux.org/tasks/archive/done/_81/83255/logs/events.1.1.log
------- Comment #26 From 2012-10-26 15:36:31 -------
(В ответ на комментарий №24)
> (В ответ на комментарий №23)
> > А когда в p6 ?
> А надо?
А разве p6 уже не надо?
------- Comment #27 From 2012-10-26 15:44:58 -------
(В ответ на комментарий №25)
> проще было собрать, чем выяснять, надо или нет:
> http://git.altlinux.org/tasks/archive/done/_81/83255
Спасибо, работает!